<%-- Load RSS Files --%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>

<c:catch var="error">
  <c:import var="xml" url="http://phobos.apple.com/WebObjects/MZStore.woa/wpa/MRSS/${param.feed}/limit=10/rss.xml"/>
  <x:parse var="rss" doc="${xml}" scope="application"/>
</c:catch>

<c:choose>
  <c:when test="${!empty error}">
	<meta http-equiv="refresh" content="0; url=/page/error.html">
  </c:when>
  <c:otherwise>
	<c:set var="artsize" value="${param.artsize}" scope="application"/>
	<c:import url="${param.feed}1.jsp"/>
  </c:otherwise>
</c:choose>